%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  LOCUS
%global packver   1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Low-Rank Decomposition of Brain Connectivity Matrices with Uniform Sparsity

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.1.0
Requires:         R-core >= 3.1.0
BuildArch:        noarch
BuildRequires:    R-CRAN-ica 
BuildRequires:    R-CRAN-MASS 
BuildRequires:    R-CRAN-far 
Requires:         R-CRAN-ica 
Requires:         R-CRAN-MASS 
Requires:         R-CRAN-far 

%description
To decompose symmetric matrices such as brain connectivity matrices so
that one can extract sparse latent component matrices and also estimate
mixing coefficients, a blind source separation (BSS) method named LOCUS
was proposed in Wang and Guo (2023) <arXiv:2008.08915>. For brain
connectivity matrices, the outputs correspond to sparse latent
connectivity traits and individual-level trait loadings.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
